Subject: bug#58334: 29.0.50; ASAN heap use after free in gui_produce_glyphs

From: Po Lu <[email-masked]>
Date: Fri, 07 Oct 2022 20:16:43 +0800

Eli Zaretskii <[email-masked]> writes:

> You don't need process_pending_signals, it's enough that some hook
> calls 'redisplay' from Lisp.

process_pending_signals called from probably_quit and unblock_input
calling handle_async_input, and thus gobble_input, is what will run that
hook calling redisplay, right?  Since the unwanted execution of Lisp
happens inside read_socket_hook.